Naar hoofdinhoud gaan
POST
/
v1
/
public
/
accounts
/
{account_id}
/
billing
/
cancel-plan
factureringsplan annuleren
curl --request POST \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/billing/cancel-plan \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cancel_at_period_end": true,
  "cancel_immediately": false
}
'
{
  "status": "<string>",
  "account_status": "<string>",
  "effective_at": "2023-11-07T05:31:56Z",
  "eligible": true,
  "previous_plan_id": "<string>",
  "target_plan_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

Autorisaties

Authorization
string
header
vereist

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

Padparameters

account_id
string<uuid>
vereist

Body

application/json

Klantaanvraagschema voor het annuleren van een accountabonnementsplan.

cancel_at_period_end
boolean
standaard:true

Annuleer het abonnement aan het einde van de factureringsperiode

cancel_immediately
boolean
standaard:false

Annuleer het abonnement onmiddellijk

Respons

status
string
vereist

Status van factureringsbewerking

account_status
string | null

Accountstatus na de bewerking

effective_at
string<date-time> | null

Wanneer de factuurwijziging van kracht werd

eligible
boolean | null

Of het account in aanmerking kwam voor de bewerking

previous_plan_id
string | null

Vorige factuurplan-ID

target_plan_id
string | null

Doelfactuurplan-ID